import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import JenkinsLogoLight from './JenkinsLogoLight';
import JenkinsLogoDark from './JenkinsLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const JenkinsLogoSvg = forwardRef(function JenkinsLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(JenkinsLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(JenkinsLogoLight, Object.assign({}, props, { ref: ref })));
});
export default JenkinsLogoSvg;
